unit slide;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList, Menus, ExtCtrls, StdCtrls, ComCtrls, ToolWin;

type
  TfrmSlide = class(TForm)
    scbSlide: TScrollBar;
    imgSlide: TImage;
    mnuSlide: TMainMenu;
    mnuFile: TMenuItem;
    mnuFileC: TMenuItem;
    mnuView: TMenuItem;
    mnuViewT: TMenuItem;
    imgListSlide: TImageList;
    tlbMain: TToolBar;
    tlbMainSlide: TToolButton;
    ToolButton2: TToolButton;
    tlbMainStop: TToolButton;
    ToolButton1: TToolButton;
    tlbMainTime: TToolButton;
    mnuFileR: TMenuItem;
    mnuFileBar: TMenuItem;
    timSlide: TTimer;
    tlbMainClose: TToolButton;
    mnuFileT: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure scbSlideChange(Sender: TObject);
    procedure mnuFileCClick(Sender: TObject);
    procedure mnuViewTClick(Sender: TObject);
    procedure mnuFileRClick(Sender: TObject);
    procedure timSlideTimer(Sender: TObject);
    procedure tlbMainSlideClick(Sender: TObject);
    procedure tlbMainStopClick(Sender: TObject);
    procedure tlbMainTimeClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure mnuFileTClick(Sender: TObject);
    procedure tlbMainCloseClick(Sender: TObject);
  private
    { Private 錾 }
    mintPos: Integer;
  public
    { Public 錾 }
    pintTime: Integer;
  end;

var
  frmSlide: TfrmSlide;

implementation

uses main, time;

{$R *.dfm}

//------------------------------------------------------------------------------
//  Event
//
//  FormCreate
//------------------------------------------------------------------------------
procedure TfrmSlide.FormCreate(Sender: TObject);
begin
    mintPos := 1;
    timSlide.Enabled := False;

    Width := 640;
    Height := 480;
end;

//------------------------------------------------------------------------------
//  Event
//
//  scbSlideChange
//------------------------------------------------------------------------------
procedure TfrmSlide.scbSlideChange(Sender: TObject);
begin
    imgSlide.Picture := frmMain.NewImg[scbSlide.Position-1].Picture;
    Caption := frmMain.NewImg[scbSlide.Position-1].Hint;
end;

//------------------------------------------------------------------------------
//  Event
//
//  mnuFileCClick
//------------------------------------------------------------------------------
procedure TfrmSlide.mnuFileCClick(Sender: TObject);
begin
    Close;
end;

//------------------------------------------------------------------------------
//  Event
//
//  mnuViewTClick
//------------------------------------------------------------------------------
procedure TfrmSlide.mnuViewTClick(Sender: TObject);
begin
    timSlide.Enabled := False;
    frmTime.ShowModal;
end;

//------------------------------------------------------------------------------
//  Event
//
//  mnuFileSClick
//------------------------------------------------------------------------------
procedure TfrmSlide.mnuFileRClick(Sender: TObject);
begin
    timSlide.Enabled := True;
    timSlide.Interval := (pintTime + 1) * 1000;
end;

//------------------------------------------------------------------------------
//  Event
//
//  timSlideTimer
//------------------------------------------------------------------------------
procedure TfrmSlide.timSlideTimer(Sender: TObject);
begin
    scbSlide.Position := mintPos;
    mintPos := mintPos + 1;
    if (mintPos > scbSlide.Max) then
        mintPos := 1;
end;

//------------------------------------------------------------------------------
//  Event
//
//  tlbMainSlideClick
//------------------------------------------------------------------------------
procedure TfrmSlide.tlbMainSlideClick(Sender: TObject);
begin
    mnuFileRClick(Sender);
end;

//------------------------------------------------------------------------------
//  Event
//
//  tlbMainCloseClick
//------------------------------------------------------------------------------
procedure TfrmSlide.tlbMainStopClick(Sender: TObject);
begin
    mnuFileTClick(Sender);
end;

//------------------------------------------------------------------------------
//  Event
//
//  tlbMainTimeClick
//------------------------------------------------------------------------------
procedure TfrmSlide.tlbMainTimeClick(Sender: TObject);
begin
    mnuViewTClick(Sender);
end;

//------------------------------------------------------------------------------
//  Event
//
//  FormClose
//------------------------------------------------------------------------------
procedure TfrmSlide.FormClose(Sender: TObject; var Action: TCloseAction);
begin
    timSlide.Enabled := False;
end;

//------------------------------------------------------------------------------
//  Event
//
//  mnuFileTClick
//------------------------------------------------------------------------------
procedure TfrmSlide.mnuFileTClick(Sender: TObject);
begin
    timSlide.Enabled := False;
end;

//------------------------------------------------------------------------------
//  Event
//
//  tlbMainCloseClick
//------------------------------------------------------------------------------
procedure TfrmSlide.tlbMainCloseClick(Sender: TObject);
begin
    mnuFileCClick(Sender);
end;

end.
